EBook::Ishmael::PDB::Record(3)

NAME
EBook::Ishmael::PDB::Record - ishmael PDB record interface

SYNOPSIS
  use EBook::Ishmael::PDB::Record;

  my $rec = EBook::Ishmael::PDB::Record->new(
      $data,
      {
          Offset => $offset,
          Attributes => $attr,
          UID => $uid
      }
  );

DESCRIPTION
EBook::Ishmael::PDB::Record is a module that provides an interface for reading Palm PDB records. For ishmael user documentation, you should consult its manual (this is developer documentation).

METHODS

  $r = EBook::Ishmael::PDB::Record->new($data, $info)
Returns a blessed EBook::Ishmael::PDB::Record object. $data is a scalar holding the record's data, $info is a hash ref of the record's info data.

Off The record's offset.

Attributes
    The record's attribute bitfield.

UID The record's UID.

  $d = $r->data()
Returns the record's data.

  $o = $r->offset()
Returns the record's offset.

  $a = $r->attributes()
Returns the record's attribute bitfield.

  $u = $r->uid()
Returns the record's UID.

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
EBook::Ishmael::PDB